<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:class="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_SwitchPortSpanningTree" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" elementFormDefault="qualified" targetNamespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_SwitchPortSpanningTree">
<xs:import namespace="http://schemas.dmtf.org/wbem/wscim/1/common" schemaLocation="http://schemas.dmtf.org/wbem/wscim/1/common.xsd"/>
<xs:element name="Antecedent" type="cim:cimReference">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Override" type="cim:cimString">Antecedent</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">The SwitchPort.</cim:Qualifier>
<cim:Qualifier name="Key" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Classorigin name="CIM_SwitchPortSpanningTree"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="Dependent" type="cim:cimReference">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Override" type="cim:cimString">Dependent</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">The SpanningTreeService.</cim:Qualifier>
<cim:Qualifier name="Key" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Classorigin name="CIM_SwitchPortSpanningTree"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="Priority" nillable="true" type="cim:cimUnsignedByte">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Description" type="cim:cimString">The priority assigned to the port. Contained in the first octet of the two-octet port ID; the other octet is the port number.</cim:Qualifier>
<cim:Qualifier name="MappingStrings" type="cim:cimString">MIB.IETF|BRIDGE-MIB.dot1dStpPortPriority</cim:Qualifier>
<cim:Classorigin name="CIM_SwitchPortSpanningTree"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="State" nillable="true">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Description" type="cim:cimString">The current state of the port as determined by the spanning tree protocol.</cim:Qualifier>
<cim:Qualifier name="MappingStrings" type="cim:cimString">MIB.IETF|BRIDGE-MIB.dot1dStpPortState</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="1">Disabled</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="2">Blocking</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="3">Listening</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="4">Learning</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="5">Forwarding</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="6">Broken</cim:Qualifier>
<cim:Classorigin name="CIM_SwitchPortSpanningTree"/>
</xs:appinfo>
</xs:annotation>
<xs:complexType>
<xs:simpleContent>
<xs:restriction base="cim:cimUnsignedShort">
<xs:enumeration value="1"/>
<xs:enumeration value="2"/>
<xs:enumeration value="3"/>
<xs:enumeration value="4"/>
<xs:enumeration value="5"/>
<xs:enumeration value="6"/>
<xs:anyAttribute namespace="##any" processContents="lax"/>
</xs:restriction>
</xs:simpleContent>
</xs:complexType>
</xs:element>
<xs:element name="Enable" nillable="true">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Deprecated" type="cim:cimString">CIM_EnabledLogicalElement.EnabledState</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">The enabled/disabled status of the port. This property is deprecated since the status of the port is available by inheritance from EnabledLogicalElement.</cim:Qualifier>
<cim:Qualifier name="MappingStrings" type="cim:cimString">MIB.IETF|BRIDGE-MIB.dot1dStpPortEnable</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="1">Enabled</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="2">Disabled</cim:Qualifier>
<cim:Classorigin name="CIM_SwitchPortSpanningTree"/>
</xs:appinfo>
</xs:annotation>
<xs:complexType>
<xs:simpleContent>
<xs:restriction base="cim:cimUnsignedShort">
<xs:enumeration value="1"/>
<xs:enumeration value="2"/>
<xs:anyAttribute namespace="##any" processContents="lax"/>
</xs:restriction>
</xs:simpleContent>
</xs:complexType>
</xs:element>
<xs:element name="PathCost" nillable="true" type="cim:cimUnsignedShort">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Description" type="cim:cimString">The contribution of this port to the path cost of paths towards the spanning tree root which include this port.</cim:Qualifier>
<cim:Qualifier name="MappingStrings" type="cim:cimString">MIB.IETF|BRIDGE-MIB.dot1dStpPortPathCost</cim:Qualifier>
<cim:Classorigin name="CIM_SwitchPortSpanningTree"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="DesignatedRoot" nillable="true" type="cim:cimString">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Description" type="cim:cimString">The bridge identifier of the root bridge for the segment to which the port is attached, as transmitted by the designated bridge for the segment.</cim:Qualifier>
<cim:Qualifier name="MappingStrings" type="cim:cimString">MIB.IETF|BRIDGE-MIB.dot1dStpPortDesignatedRoot</cim:Qualifier>
<cim:Classorigin name="CIM_SwitchPortSpanningTree"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="DesignatedCost" nillable="true" type="cim:cimUnsignedShort">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Description" type="cim:cimString">The cost of the path to the root offered by the designated bridge for the segment.</cim:Qualifier>
<cim:Qualifier name="MappingStrings" type="cim:cimString">MIB.IETF|BRIDGE-MIB.dot1dStpPortDesignatedCost</cim:Qualifier>
<cim:Classorigin name="CIM_SwitchPortSpanningTree"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="DesignatedBridge" nillable="true" type="cim:cimString">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Description" type="cim:cimString">The bridge identifier of the designated bridge for the segment to which the port is attached.</cim:Qualifier>
<cim:Qualifier name="MappingStrings" type="cim:cimString">MIB.IETF|BRIDGE-MIB.dot1dStpPortDesignatedBridge</cim:Qualifier>
<cim:Classorigin name="CIM_SwitchPortSpanningTree"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="DesignatedPort" nillable="true" type="cim:cimUnsignedShort">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Description" type="cim:cimString">The port identifier of the port on the designated bridge serving the segment to which the port is attached.</cim:Qualifier>
<cim:Qualifier name="MappingStrings" type="cim:cimString">MIB.IETF|BRIDGE-MIB.dot1dStpPortDesignatedPort</cim:Qualifier>
<cim:Classorigin name="CIM_SwitchPortSpanningTree"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="CIM_SwitchPortSpanningTree" type="class:CIM_SwitchPortSpanningTree_Type">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Class name="CIM_SwitchPortSpanningTree" superclass="CIM_ServiceSAPDependency"/>
<cim:Qualifier name="Association" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Version" type="cim:cimString">2.7.0</cim:Qualifier>
<cim:Qualifier name="UMLPackagePath" type="cim:cimString">CIM::Network::SwitchingBridging</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">A switch participating in the spanning tree maintains spanning-tree specific information about each port whose forwarding is determined by the spanning tree. This association represents that information.</cim:Qualifier>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:complexType name="CIM_SwitchPortSpanningTree_Type">
<xs:sequence>
<xs:element ref="class:Antecedent"/>
<xs:element ref="class:Dependent"/>
<xs:element minOccurs="0" ref="class:DesignatedBridge"/>
<xs:element minOccurs="0" ref="class:DesignatedCost"/>
<xs:element minOccurs="0" ref="class:DesignatedPort"/>
<xs:element minOccurs="0" ref="class:DesignatedRoot"/>
<xs:element minOccurs="0" ref="class:Enable"/>
<xs:element minOccurs="0" ref="class:PathCost"/>
<xs:element minOccurs="0" ref="class:Priority"/>
<xs:element minOccurs="0" ref="class:State"/>
<xs:any maxOccurs="unbounded" minOccurs="0" namespace="##other" processContents="lax"/>
</xs:sequence>
<xs:anyAttribute namespace="##any" processContents="lax"/>
</xs:complexType>
</xs:schema>
